Update Org

Update Org
Updates an organization.

Updates an organization. If the managedBy field is being updated, the operation is asynchronous and a task is returned in the location header. Otherwise, the operation is synchronous.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/orgs/{orgUrn}
COPY
Path Parameters
string
orgUrn
Required

orgUrn


Request Body
Org of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "displayName": "string"
}
{
    "id": "string",
    "name": "string",
    "displayName": "string",
    "description": "string",
    "isEnabled": false,
    "managedBy": {
        "name": "string",
        "id": "string"
    },
    "canManageOrgs": false,
    "maskedEventTaskUsername": "string",
    "directlyManagedOrgCount": 0,
    "isClassicTenant": false,
    "isProviderConsumptionOrg": false,
    "creationStatus": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Org of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "displayName": "string",
    "description": "string",
    "isEnabled": false,
    "managedBy": {
        "name": "string",
        "id": "string"
    },
    "canManageOrgs": false,
    "maskedEventTaskUsername": "string",
    "directlyManagedOrgCount": 0,
    "isClassicTenant": false,
    "isProviderConsumptionOrg": false,
    "creationStatus": "string"
}

202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"displayName":"string","name":"string"}' https://{api_host}/cloudapi/1.0.0/orgs/{orgUrn}